viralquery

Replace the natural-language research rules for this tenant's workspace

PUT
/v1/rules

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/rules" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{
  "outcome": "created",
  "rules": {
    "workspaceId": "string",
    "version": 1,
    "text": "string",
    "createdAt": 0
  }
}
{
  "error": "invalid_request",
  "message": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "unauthorized",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "subscription_required",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}